"use strict";
/*
# json2array

This product contains software originally developed by Holvonix LLC.
Original Repository: https://github.com/holvonix-open/json2array-ts

Copyright (c) 2017-2019 Holvonix LLC. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this software except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Third-party dependencies may have their own licenses.
*/
exports.__esModule = true;
function dottedGet(
// tslint:disable-next-line:no-any
obj, spec) {
    if (spec === '') {
        return obj;
    }
    var dot = spec.indexOf('.');
    var next = dot === -1 ? '' : spec.substring(dot + 1, spec.length);
    var part = dot === -1 ? spec : spec.substr(0, dot);
    return dottedGet(obj[part], next);
}
exports.dottedGet = dottedGet;
function map2array(
// tslint:disable-next-line:no-any
obj, spec
// tslint:disable-next-line:no-any
) {
    return spec.map(function (k) { return dottedGet(obj, k); });
}
exports.map2array = map2array;
function maps2arrays(
// tslint:disable-next-line:no-any
objs, spec
// tslint:disable-next-line:no-any
) {
    return objs.map(function (v) { return map2array(v, spec); });
}
exports.maps2arrays = maps2arrays;
//# sourceMappingURL=index.js.map